register_font_file_type(3)

NAME
register_font_file_type - Register a new font loading function. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void register_font_file_type(const char *ext, FONT *(*load)(const char *filename, RGB *pal, void *param));

DESCRIPTION
Informs the load_font() functions of a new file type, providing a routine to read fonts in this format. The function you supply must follow the following prototype:
   FONT *load_my_font(const char *filename, RGB *pal, void *param)
   {
      ...
   }

The pal parameter can optionally be used to return a palette for the FONT. The parameter param can be anything you like: you can use this to pass information to your loading routine, such as for instance the font height, the character range to load or the index number of a font in a datafile. If you choose to write your own font loading code, your function should be prepared to deal with a value of NULL for either of these parameters.

SEE ALSO
load_font(3)